<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8"/>
	<title>进度条</title>
	<style type="text/css">
		div{
			width:100px;
			height: 100px;
			margin:10px;
			float:left;
			background: red;
			border:10px solid #000;
		}
	</style>
	<script>
		window.onload=function(){
			oDiv1=document.getElementById('div1');
			oDiv2=document.getElementById('div2');
			oDiv1.timer=null;
				oDiv1.onmouseover=function(){
					startMove(this,200);
				};
				oDiv1.onmouseout=function(){
					startMove(this,100);
				}
				oDiv2.onmouseover=function(){
					startMove2(this,200);
				};
				oDiv2.onmouseout=function(){
					startMove2(this,100);
				}
		};
		function getStyle(obj,name){
				if(obj.currentStyle){
					return obj.currentStyle[name];
				}else{
					return getComputedStyle(obj,false)[name];
				}
			};
		function startMove(obj,iTarget){
			clearInterval(obj.timer);
			obj.timer=setInterval(function(){
				var speed=(iTarget-parseInt(getStyle(obj,'height')))/6;
				speed=speed>0?Math.ceil(speed):Math.floor(speed);
				if(iTarget==parseInt(getStyle(obj,'height'))){
					clearInterval(obj.timer);
				}else{
					obj.style.height=parseInt(getStyle(obj,'height'))+speed+'px';
				}
			},30);
		};
		function startMove2(obj,iTarget){
			clearInterval(obj.timer);
			obj.timer=setInterval(function(){
				var speed=(iTarget-obj.offsetWidth)/6;
				speed=speed>0?Math.ceil(speed):Math.floor(speed);
				if(iTarget==obj.offsetWidth){
					clearInterval(obj.timer);
				}else{
					obj.style.width=obj.offsetWidth+speed+'px';
				}
			},30);
		};
	</script>
</head>
<body>
	<div id="div1"></div>
	<div id="div2"></div>
</body>
</html>